curl
curl -sS "https://gateway.orbit/api/v1/deployments/1" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"id": 123,
"instance_id": 123,
"release": "<string>",
"branch": "<string>",
"commit": "<string>",
"started_at": "<string>",
"finished_at": "<string>",
"duration_seconds": 123,
"status": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"selected_release": "<string>",
"triggered_by": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Instances
instance:deployment:show
Show one recorded deployment, its phases and steps, and its log.
GET
/
api
/
v1
/
deployments
/
{deployment}
curl
curl -sS "https://gateway.orbit/api/v1/deployments/1" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"id": 123,
"instance_id": 123,
"release": "<string>",
"branch": "<string>",
"commit": "<string>",
"started_at": "<string>",
"finished_at": "<string>",
"duration_seconds": 123,
"status": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"selected_release": "<string>",
"triggered_by": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}